if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vStampaInventario]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vStampaInventario]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

/* (dbo.Uscite.Giacenza > 0) AND */
CREATE VIEW dbo.vStampaInventario
AS
SELECT     TOP 100 PERCENT dbo.Prodotti.Testata, dbo.Uscite.NumeroCopertina, dbo.Uscite.PrezzoCopertinaEuroDistributore, dbo.Uscite.PrezzoNetto, 
                      dbo.Uscite.Giacenza, dbo.Soggetti.RagioneSociale, dbo.Uscite.DataUscita, dbo.Uscite.CopieFornite, Soggetti_1.RagioneSociale AS Expr1, 
                      Soggetti_1.Citta, Soggetti_1.Prov, Soggetti_1.Indirizzo, Soggetti_1.Cap, Soggetti_1.Telefono, Soggetti_1.Codicefiscale, Soggetti_1.PartitaIVA, 
                      dbo.Soggetti.IDSoggetto, dbo.Uscite.DataResa, dbo.Uscite.DataPresuntaFattCD, dbo.Prodotti.IDTipoProdotto
FROM         dbo.Uscite INNER JOIN
                      dbo.Prodotti ON dbo.Uscite.IDProd = dbo.Prodotti.IDProd INNER JOIN
                      dbo.Soggetti ON dbo.Uscite.IDDL = dbo.Soggetti.IDSoggetto CROSS JOIN
                      dbo.Soggetti Soggetti_1
WHERE     (Soggetti_1.IDTipoSoggetto = 'ED') AND (dbo.Uscite.CopieFornite > 0)
ORDER BY dbo.Prodotti.Testata

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

